Page MenuHomePhabricator

Add an image: frontend tasks for initial release
Closed, ResolvedPublic

Description

This task is a parent task for the front end specifications for the "add an image" structured task. It also contains some general specifications.

General specifications

  • In our first iteration, we are only building this task for mobile, not desktop.
  • The new "add an image" task should be a new task type -- not replacing any legacy task.
  • It will be a "Medium" difficulty task.
  • We should have a feature flag to turn it on and off by wiki as needed.
  • When we deploy the new "add an image" task, we should have the ability to make it the only task type selected for newcomers, as opposed to the current situation in which newcomers have both "add links" and "copyedit" selected, and get feeds containing both. This is similar to how we deployed for "add a link".

Materials

  • Figma: canonical mockups.
  • TBD document: contains final copy and QQQ messages.
  • Mobile interactive prototype: does not contain exact visual designs (since this is the Design concept B user tested)

Related Objects

StatusSubtypeAssignedTask
ResolvedMMiller_WMF
ResolvedDMburugu
ResolvedTgr
ResolvedTgr
ResolvedTgr
Resolved mewoph
Resolved mewoph
Resolved mewoph
Resolved mewoph
Resolved mewoph
Resolved mewoph
Resolved mewoph
Resolved mewoph
DuplicateNone
ResolvedTgr
Resolved mewoph
ResolvedTgr
Resolved mewoph
ResolvedTgr
Resolved mewoph
Resolved mewoph
Resolved mewoph
Resolved mewoph
Resolved mewoph
ResolvedTgr
ResolvedTgr
ResolvedTgr
ResolvedTgr
Resolved mewoph
Resolved kostajh
ResolvedSgs
Resolved mewoph
Resolved mewoph
Resolved mewoph
ResolvedRHo
ResolvedSgs
Resolved mewoph
Resolved kostajh
Resolved mewoph
Resolved kostajh

Event Timeline

In our first iteration, we are only building this task for mobile, not desktop.

@MMiller_WMF what should the user experience be for a user who signs up on mobile (and gets assigned to the image suggestions experiment group), and then visits Special:Homepage on desktop? Should we just hide the image suggestions task? What if that is the only task the user has selected in their task type filters?

Because we'll have to do some extra work to handle the mobile/desktop switching and toggling task types by mobile/desktop platform, could we think about building basic support in for desktop but analyzing only the results for mobile users?

DMburugu removed DMburugu as the assignee of this task.EditedAug 30 2021, 5:42 PM

@MMiller_WMF These are pending completion of this task which @mewoph is handling.

In our first iteration, we are only building this task for mobile, not desktop.

@MMiller_WMF what should the user experience be for a user who signs up on mobile (and gets assigned to the image suggestions experiment group), and then visits Special:Homepage on desktop? Should we just hide the image suggestions task? What if that is the only task the user has selected in their task type filters?

Because we'll have to do some extra work to handle the mobile/desktop switching and toggling task types by mobile/desktop platform, could we think about building basic support in for desktop but analyzing only the results for mobile users?

We decided today in our team meeting that we won't make decisions or do work around this mobile-only config yet. First, we'll see whether the mobile work naturally shapes up well into a usable desktop experience. Then we'll decide whether it is more work to make this mobile-only, or more work to improve the desktop experience.

@MMiller_WMF for Add Link, we restrict suggestions in the post-edit dialog to the same task type. For other task types, we don't. Should we do it for Add Image as well?

When we deploy the new "add an image" task, we should have the ability to make it the only task type selected for newcomers, as opposed to the current situation in which newcomers have both "add links" and "copyedit" selected, and get feeds containing both. This is similar to how we deployed for "add a link".

It's probably worth having a dedicated task to keep track of that. Filed T290403: Add an image: A/B testing support
(The rest of the conditions in the General specification section are already fulfilled.)

@Mmiller0712 is the Figma link correct? It takes me to a collection of various mockups, all of which seem outdated.

I understand the design is not fully specified yet, just wondering if we should work without mockups for now (doable for most of these tasks) or they are at the Figma link, just non-obvious to find.

@Tgr

@MMiller_WMF for Add Link, we restrict suggestions in the post-edit dialog to the same task type. For other task types, we don't. Should we do it for Add Image as well?

Yes, but I plan to include that as a specification in a forthcoming "post-edit dialog" task.

@Mmiller0712 is the Figma link correct? It takes me to a collection of various mockups, all of which seem outdated.

I understand the design is not fully specified yet, just wondering if we should work without mockups for now (doable for most of these tasks) or they are at the Figma link, just non-obvious to find.

You're right, we don't yet have solid mockups. But when we do have them, they'll be at that link -- so I put it in pre-emptively. I added a note to the task description to clarify. For now, "Concept B" in the lower right of that Figma are the mockups most similar to what we'll be ending up with.

RHo renamed this task from Add an image: frontend tasks for initial release to Add an image: frontend tasks for initial release (PLACEHOLDER).Sep 16 2021, 8:44 PM
RHo updated the task description. (Show Details)
RHo renamed this task from Add an image: frontend tasks for initial release (PLACEHOLDER) to Add an image: frontend tasks for initial release.Sep 27 2021, 5:15 PM
RHo updated the task description. (Show Details)
RHo updated the task description. (Show Details)

We released iteration 1, so I'm closing this epic.